%define	major 0
%define libname	%mklibname fakeroot %{major}

Summary:	Gives a fake root environment
Name:		fakeroot
Version:	1.2.9
Release:	%mkrel 3
License:	GPL
Group:		Development/Other
URL:		ftp://ftp.debian.org/debian/pool/main/f/fakeroot/
Source0:	ftp://ftp.debian.org/debian/pool/main/f/fakeroot/fakeroot_%{version}.tar.bz2
BuildRequires:	libstdc++-devel
Requires:	%{libname} = %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
This package is intended to enable something like: fakeroot rpm
--rebuild i.e. to remove the need to become root for a package
build. This is done by setting LD_PRELOAD to a "libfakeroot.so.0.0",
that provides wrappers around chown, chmod, mknod, stat, etc.

If you don't understand any of this, you do not need this!

%package -n	%{libname}
Summary:	Shared fake root library
Group:          System/Libraries

%description -n	%{libname}
This package is intended to enable something like: fakeroot rpm
--rebuild i.e. to remove the need to become root for a package
build. This is done by setting LD_PRELOAD to a "libfakeroot.so.0.0",
that provides wrappers around chown, chmod, mknod, stat, etc.

If you don't understand any of this, you do not need this!

%package -n	%{libname}-devel
Summary:	Static library and header files for the fakeroot library
Group:		Development/C
Obsoletes:	lib%{name}-devel %{name}-devel 
Provides:	lib%{name}-devel %{name}-devel
Requires:	%{libname} = %{version}

%description -n	%{libname}-devel
This package is intended to enable something like: fakeroot rpm
--rebuild i.e. to remove the need to become root for a package
build. This is done by setting LD_PRELOAD to a "libfakeroot.so.0.0",
that provides wrappers around chown, chmod, mknod, stat, etc.

If you don't understand any of this, you do not need this!

This package contains the static fakeroot library and its header
files.

%prep

%setup -q

%build
export CFLAGS="%{optflags} -fPIC -DPIC"

%configure2_5x

%make

%install
rm -rf %{buildroot}

%makeinstall_std

# the french man page is in man-pages-fr-1.58.0-18mdk, nuke this one to prevent file clash
rm -rf %{buildroot}%{_mandir}/fr/man*

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc DEBUG AUTHORS README.fake BUGS debian/changelog
%{_bindir}/*
%{_mandir}/man*/*
%lang(es) %{_mandir}/es/man*/*
#%lang(fr) %{_mandir}/fr/man*/*
%lang(sv) %{_mandir}/sv/man*/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Thu Jun 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.9-3mdk
- fix #16454

* Wed Jun 08 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.9-2mdk
- fix deps (Olivier Thauvin)

* Fri Apr 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.9-1mdk
- initial package, PLD import

